gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.MenuComboToolbar.ToolItemGroup

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes
- Child Attributes

Description

A sub container used in a tool palette

- Module available since Gtk+ version 2.20

Synopsis

- data ToolItemGroup
- class ContainerClass o => ToolItemGroupClass o
- castToToolItemGroup :: GObjectClass obj => obj -> ToolItemGroup
- toToolItemGroup :: ToolItemGroupClass o => o -> ToolItemGroup
- toolItemGroupNew :: String -> IO ToolItemGroup
- toolItemGroupGetDropItem :: ToolItemGroupClass self => self -> (Int, Int) -> IO ToolItem
- toolItemGroupGetItemPosition :: (ToolItemGroupClass group, ToolItemClass item) => group -> item -> IO Int
- toolItemGroupGetNItems :: ToolItemGroupClass group => group -> IO Int
- toolItemGroupGetNthItem :: ToolItemGroupClass group => group -> Int -> IO ToolItem
- toolItemGroupInsert :: (ToolItemGroupClass group, ToolItemClass item) => group -> item -> Int -> IO ()
- toolItemGroupSetItemPosition :: (ToolItemGroupClass group, ToolItemClass item) => group -> item -> Int -> IO ()
- toolItemGroupCollapsed :: ToolItemGroupClass group => Attr group Bool
- toolItemGroupEllipsize :: ToolItemGroupClass group => Attr group EllipsizeMode
- toolItemGroupHeaderRelief :: ToolItemGroupClass group => Attr group ReliefStyle
- toolItemGroupLabel :: ToolItemGroupClass group => Attr group String
- toolItemGroupLabelWidget :: ToolItemGroupClass group => Attr group Widget
- toolItemGroupChildExpand :: ToolItemGroupClass group => Attr group Bool
- toolItemGroupChildFill :: ToolItemGroupClass group => Attr group Bool
- toolItemGroupChildHomogeneous :: ToolItemGroupClass group => Attr group Bool
- toolItemGroupChildNewRow :: ToolItemGroupClass group => Attr group Bool
- toolItemGroupChildPosition :: ToolItemGroupClass group => Attr group Int

# Detail

A `ToolItemGroup` is used together with `ToolPalette` to add `ToolItems` to a palette like container with different categories and drag and drop support.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----ToolItemGroup

# Types

data ToolItemGroup

Instances

Eq ToolItemGroup |
Ord ToolItemGroup |
GObjectClass ToolItemGroup |
ToolItemGroupClass ToolItemGroup |
ContainerClass ToolItemGroup |
WidgetClass ToolItemGroup |
ObjectClass ToolItemGroup |

class ContainerClass o => ToolItemGroupClass o

Instances

ToolItemGroupClass ToolItemGroup |

castToToolItemGroup :: GObjectClass obj => obj -> ToolItemGroup

toToolItemGroup :: ToolItemGroupClass o => o -> ToolItemGroup

# Constructors

toolItemGroupNew

Arguments

:: String | `label` the label of the new group
-> IO ToolItemGroup | returns a new `ToolItemGroup`.

Creates a new tool item group with label label.

- Available since Gtk+ version 2.20

# Methods

toolItemGroupGetDropItem :: ToolItemGroupClass self => self -> (Int, Int) -> IO ToolItem

Gets the tool item at position (x, y).

- Available since Gtk+ version 2.20

toolItemGroupGetItemPosition

Arguments

:: (ToolItemGroupClass group, ToolItemClass item) |
=> group | `group` a `ToolItemGroup`
-> item | `item` a `ToolItem`
-> IO Int | returns the index of item in group or -1 if item is no child of group

Gets the position of item in group as index.

- Available since Gtk+ version 2.20

toolItemGroupGetNItems

Arguments

:: ToolItemGroupClass group |
=> group |
-> IO Int | returns the number of tool items in group

Gets the number of tool items in group.

- Available since Gtk+ version 2.20

toolItemGroupGetNthItem

Arguments

:: ToolItemGroupClass group |
=> group |
-> Int | `index` the index
-> IO ToolItem | returns the `ToolItem` at index

Gets the tool item at index in group.

- Available since Gtk+ version 2.20

toolItemGroupInsert

Arguments

:: (ToolItemGroupClass group, ToolItemClass item) |
=> group | `group` a `ToolItemGroup`
-> item | `item` the `ToolItem` to insert into group
-> Int | `position` the position of item in group, starting with 0. The position -1 means end of list.
-> IO () |

Inserts item at position in the list of children of group.

- Available since Gtk+ version 2.20

toolItemGroupSetItemPosition

Arguments

:: (ToolItemGroupClass group, ToolItemClass item) |
=> group | `group` a `ToolItemGroup`
-> item | `item` the `ToolItem` to move to a new position, should be a child of group.
-> Int | `position` the new position of item in group, starting with 0. The position -1 means end of list.
-> IO () |

Sets the position of item in the list of children of group.

- Available since Gtk+ version 2.20

# Attributes

toolItemGroupCollapsed :: ToolItemGroupClass group => Attr group Bool

Wether the group has been collapsed and items are hidden.

Default value: `False`

- Available since Gtk+ version 2.20

toolItemGroupEllipsize :: ToolItemGroupClass group => Attr group EllipsizeMode

Ellipsize for item group headers.

Default value: EllipsizeNone

- Available since Gtk+ version 2.20

toolItemGroupHeaderRelief :: ToolItemGroupClass group => Attr group ReliefStyle

Relief of the group header button.

Default value: `ReliefNormal`

- Available since Gtk+ version 2.20

toolItemGroupLabel :: ToolItemGroupClass group => Attr group String

The human-readable title of this item group.

Default value: ""

- Available since Gtk+ version 2.20

toolItemGroupLabelWidget :: ToolItemGroupClass group => Attr group Widget

A widget to display in place of the usual label.

- Available since Gtk+ version 2.20

# Child Attributes

toolItemGroupChildExpand :: ToolItemGroupClass group => Attr group Bool

Whether the item should receive extra space when the group grows.

Default value: `False`

- Available since Gtk+ version 2.20

toolItemGroupChildFill :: ToolItemGroupClass group => Attr group Bool

Whether the item should fill the available space.

Default value: `True`

- Available since Gtk+ version 2.20

toolItemGroupChildHomogeneous :: ToolItemGroupClass group => Attr group Bool

Whether the item should be the same size as other homogeneous items.

Default value: `True`

- Available since Gtk+ version 2.20

toolItemGroupChildNewRow :: ToolItemGroupClass group => Attr group Bool

Whether the item should start a new row.

Default value: `False`

- Available since Gtk+ version 2.20

toolItemGroupChildPosition :: ToolItemGroupClass group => Attr group Int

Position of the item within this group.

Allowed values: >= 0

Default value: 0

- Available since Gtk+ version 2.20